/*-- -------------------------- -->
<---          Events            -->
<--- -------------------------- -*/

/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
  @keyframes floatAnimation {
    0% {
      transform: translateY(0);
    }
    50% {
      transform: translateY(-2rem);
    }
    100% {
      transform: translateY(0);
    }
  }
  @keyframes floatAnimation2 {
    0% {
      transform: translateY(0);
    }
    50% {
      transform: translateY(-3rem);
    }
    100% {
      transform: translateY(0);
    }
  }
  #events-1511 {
    padding: var(--sectionPadding);
    overflow: hidden;
    display: block;
    position: relative;
    z-index: 1;
  }
  
  #events-1511 .cs-container {
    padding-top: auto;
    width: 100%;
    max-width: 80rem;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* 48px - 64px */
    gap: clamp(3rem, 6vw, 4rem);
  }
  #events-1511 .cs-content {
    /* set text align to left if content needs to be left aligned */
    text-align: center;
    width: 100%;
    max-width: 43.75rem;
    display: flex;
    flex-direction: column;
    /* centers content horizontally, set to flex-start to left align */
    align-items: center;
  }
  #events-1511 .cs-title {
    max-width: 24ch;
  }
  #events-1511 .cs-text {
    max-width: 100%;
  }
  #events-1511 .cs-wrapper {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* 16px - 20px */
    gap: clamp(1rem, 2.5vw, 1.25rem);
  }
  #events-1511 .cs-card-group {
    width: 100%;
    /* changes to 741px at desktop */
    max-width: 31.25rem;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* 16px - 20px */
    gap: clamp(1rem, 2.5vw, 1.25rem);
  }
  #events-1511 .cs-item {
    text-align: left;
    list-style: none;
    width: 100%;
    max-width: 52.5rem;
    /* 16px - 24px */
    padding: clamp(1rem, 3.9vw, 1.5rem);
    /* prevents padding from affecting height and width */
    box-sizing: border-box;
    background-color: #fff;
    border: 1px solid var(--primary);
    border-radius: 2.5rem;
    transition: border-color 0.3s;
  }
  #events-1511 .cs-item:hover {
    border-color: var(--secondary);
  }
  #events-1511 .cs-link {
    text-decoration: none;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 1.5rem;
  }
  #events-1511 .cs-image-group {
    width: 100%;
    margin-bottom: 1.5rem;
    position: relative;
    z-index: 1;
  }
  #events-1511 .cs-picture {
    width: 100%;
    height: 12.1875rem;
    background-color: #1a1a1a;
      object-fit: contain;
    display: block;
    position: relative;
    z-index: 1;
    overflow: hidden;
    /* prevents flexbox from squsihing it */
    flex: none;
  }
  #events-1511 .cs-picture img {
    width: 100%;
    height: 180%;
    
    position: absolute;
    top: -30px;
    left: 0;
    transition: transform 0.6s, opacity 0.3s;
  }
  #events-1511 .cs-mask {
    --maskBG: #fff;
    --maskBorder: #e8e8e8;
    width: 102%;
    height: 102%;
    position: absolute;
    top: -1px;
    right: 0;
    bottom: 0;
    left: -2px;
    z-index: 1;
  }
  #events-1511 .cs-date {
    font-size: 1rem;
    line-height: 2.5rem;
    margin: 0;
    padding: 0 0.5rem;
    background-color: #fff;
    border-radius: 3.125rem;
    overflow: hidden;
    color: var(--headerColor);
    border: 1px solid var(--secondary);
    display: inline-block;
    position: absolute;
    bottom: 1.25rem;
    left: 1.25rem;
    z-index: 1;
  }
  #events-1511 .cs-date:before {
    /* background color */
    content: '';
    width: 100%;
    height: 100%;
    background: var(--secondary);
    opacity: .1;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    z-index: -1;
  }
  #events-1511 .cs-tag {
    font-size: 1rem;
    line-height: 2.25rem;
    font-weight: 700;
    margin: 0 0 0.75rem 0;
    padding: 0 1rem;
    color: var(--primary);
    border-radius: 3.125rem;
    overflow: hidden;
    display: inline-block;
    position: relative;
    z-index: 1;
  }
  #events-1511 .cs-tag:before {
    /* background color */
    content: '';
    width: 100%;
    height: 100%;
    background: var(--primary);
    opacity: .1;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    z-index: -1;
  }
  #events-1511 .cs-h3 {
    /* 20px - 25px */
    font-size: clamp(1.25rem, 2vw, 1.5625rem);
    line-height: 1.2em;
    font-weight: 700;
    margin: 0 0 1rem 0;
    color: var(--headerColor);
  }
  #events-1511 .cs-time,
  #events-1511 .cs-place {
    font-size: 1rem;
    line-height: 1.5em;
    margin: 0;
    color: var(--bodyTextColor);
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 0.5rem;
  }
  #events-1511 .cs-time {
    margin: 0 0 0.5rem 0;
  }
  #events-1511 .cs-icon {
    width: 1.5rem;
    height: auto;
    display: flex;
  }
  #events-1511 .cs-subscribe {
    width: 100%;
    max-width: 52.5rem;
    margin: auto;
    /* 40px - 100px top & bottom */
    /* 16px - 60px left & right */
    padding: clamp(2.5rem, 10vw, 6.25rem) clamp(1rem, 5vw, 3.75rem);
    overflow: hidden;
    background-color: #fff;
    border-radius: 2.5rem;
    /* prevents padding from affecting height abd width */
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* 28px - 36px */
    gap: clamp(1.75rem, 4vw, 2.25rem);
    position: relative;
    z-index: 1;
  }
  #events-1511 .cs-subscribe:before {
    /* background-color */
    content: '';
    width: 100%;
    height: 100%;
    background: var(--secondary);
    opacity: .1;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
  }
  #events-1511 .cs-subscribe .cs-topper {
    color: var(--secondary);
  }
  #events-1511 .cs-subscribe .cs-title {
    max-width: 100%;
  }
  #events-1511 .cs-subscribe .cs-text {
    max-width: 31.25rem;
  }
  #events-1511 .cs-blob {
    --blobColor: var(--secondary);
    opacity: .25;
    display: none;
    position: absolute;
  }
  #events-1511 .cs-blob1 {
    width: 16.9375rem;
    display: block;
    height: auto;
    top: 0;
    left: -8.75rem;
  }
  #events-1511 .cs-blob2 {
    width: 28.8125rem;
    height: auto;
    bottom: 0;
    right: 0;
  }
  #events-1511 .cs-form {
    width: 100%;
    margin-top: 2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.75rem;
    position: relative;
    z-index: 1;
  }
  #events-1511 .cs-input {
    font-size: 1rem;
    width: 100%;
    /* 46px - 56px */
    line-height: clamp(2.875rem, 5.5vw, 3.5rem);
    margin: 0;
    padding: 0;
    padding-left: 1.25rem;
    border: none;
    border-radius: 5rem;
    /* prevents padding from adding to width and height */
    box-sizing: border-box;
    display: block;
  }
  #events-1511 .cs-input::placeholder {
    color: #767676;
  }
  #events-1511 .cs-button-solid {
    font-size: 1rem;
    /* 46px - 56px */
    line-height: clamp(2.875rem, 5.5vw, 3.5rem);
    text-decoration: none;
    font-weight: 700;
    text-align: center;
    margin: 0;
    color: #fff;
    overflow: hidden;
    min-width: 9.375rem;
    padding: 0 2rem;
    background-color: var(--secondary);
    border-radius: 5rem;
    display: inline-block;
    position: relative;
    z-index: 1;
    /* prevents padding from adding to the width */
    box-sizing: border-box;
  }
  #events-1511 .cs-button-solid:before {
    content: '';
    position: absolute;
    height: 100%;
    width: 0%;
    background: #000;
    opacity: 1;
    top: 0;
    left: 0;
    z-index: -1;
    transition: width .3s;
  }
  #events-1511 .cs-button-solid:hover {
    cursor: pointer;
  }
  #events-1511 .cs-button-solid:hover:before {
    width: 100%;
  }
  #events-1511 .cs-submit {
    width: 100%;
    border: none;
  }
  #events-1511 .cs-floater1 {
    /* 500px - 710px */
    width: clamp(31.25rem, 50vw, 44.375rem);
    opacity: .05;
    position: absolute;
    top: -20.625rem;
    left: 70%;
    z-index: -1;
    animation-name: floatAnimation;
    animation-duration: 5s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
  }
  #events-1511 .cs-floater2 {
    width: 44.375rem;
    opacity: .05;
    display: none;
    position: absolute;
    bottom: 4rem;
    left: -25rem;
    z-index: -1;
    animation-name: floatAnimation2;
    animation-duration: 14s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
  }
  
}
/* Tablet - 768px */
@media only screen and (min-width: 48rem) {
  #events-1511 .cs-card-group {
    max-width: 80rem;
  }
  #events-1511 .cs-link {
    flex-direction: row;
    align-items: center;
  }
  #events-1511 .cs-image-group {
    width: 40%;
    max-width: 18.75rem;
  }
  #events-1511 .cs-input {
    width: 100%;
  }
  #events-1511 .cs-blob1 {
    left: 0;
  }
}
/* Large Desktop - 1300px */
@media only screen and (min-width: 81.25rem) {
  #events-1511 .cs-wrapper {
    flex-direction: row;
    align-items: stretch;
  }
  #events-1511 .cs-card-group {
    width: 55%;
    max-width: 46.3125rem;
    /* prevents flexbox from squishing it */
    flex: none;
    /* sends it to the right in the 2nd position */
    order: 2;
  }
  #events-1511 .cs-subscribe {
    height: auto;
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  #events-1511 .cs-blob2 {
    display: block;
  }
  #events-1511 .cs-floater1 {
    margin-left: 34.4375rem;
    left: 50%;
    top: 0.625rem;
    right: auto;
  }
  #events-1511 .cs-floater2 {
    margin-right: 24.75rem;
    display: block;
    right: 50%;
    bottom: 1.25rem;
    left: auto;
  }
}
/* Dark Mode */
@media only screen and (min-width: 0rem) {
  body.dark-mode #events-1511 .cs-container:before {
    opacity: .2;
  }
  body.dark-mode #events-1511 .cs-title,
  body.dark-mode #events-1511 .cs-text {
    color: var(--bodyTextColorWhite);
  }
  body.dark-mode #events-1511 .cs-text {
    opacity: .8;
  }
  body.dark-mode #events-1511 .cs-item {
    background-color: #05131e;
    border-color: rgba(255, 255, 255, 0.2);
  }
  body.dark-mode #events-1511 .cs-item:hover {
    border-color: var(--secondary);
  }
  body.dark-mode #events-1511 .cs-h3,
  body.dark-mode #events-1511 .cs-time,
  body.dark-mode #events-1511 .cs-place {
    color: var(--bodyTextColorWhite);
  }
  body.dark-mode #events-1511 .cs-time,
  body.dark-mode #events-1511 .cs-place {
    opacity: .8;
  }
  body.dark-mode #events-1511 .cs-tag {
    color: var(--bodyTextColorWhite);
  }
  body.dark-mode #events-1511 .cs-tag:before {
    opacity: .5;
  }
  body.dark-mode #events-1511 .cs-mask {
    --maskBG: #05131e;
    --maskBorder: var(--accent);
  }
  body.dark-mode #events-1511 .cs-subscribe {
    background-color: var(--dark);
  }
  body.dark-mode #events-1511 .cs-input {
    background-color: rgba(0, 0, 0, 0.6);
    color: #fff;
  }
  body.dark-mode #events-1511 .cs-floater1,
  body.dark-mode #events-1511 .cs-floater2 {
    opacity: .3;
  }
}